using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Printing;

namespace PrinterTest
{
    public partial class Form1 : Form
    {
        private PrintDocument _printDocument;
        private int _pageCount;

        public Form1()
        {
            InitializeComponent();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            printPreviewDialog1.Document = _printDocument;
            fpSpread1.SetPrintPreview(printPreviewDialog1);
            printPreviewDialog1.ShowDialog();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            _printDocument = new PrintDocument();
            _printDocument.PrintPage += new PrintPageEventHandler(this.printPage);
                 
            printPreviewDialog1.Document = _printDocument;
            pageSetupDialog1.Document = _printDocument;
            printDialog1.Document = _printDocument;
        }

        private void printPage(object sender, PrintPageEventArgs e)
        {
            Rectangle rect = new Rectangle(e.PageBounds.X, e.PageBounds.Y + 17, e.PageBounds.Width / 2, e.PageBounds.Height / 2);
            int _pageCount = fpSpread1.GetOwnerPrintPageCount(e.Graphics, rect, 0);

            for (int i = 1; i <= _pageCount; i++)
            {
                fpSpread1.OwnerPrintDraw(e.Graphics, rect, 0, i);

            }
            e.HasMorePages = false;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            pageSetupDialog1.ShowDialog();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            DialogResult r;
            r = printDialog1.ShowDialog();
            if (r == DialogResult.OK)
                _printDocument.Print(); 
            
        }
    }
}